<template src="./template.html"></template>

<script lang="ts">
import { Component, Vue, Watch } from "nuxt-property-decorator";
import { api } from "~/common/constaint";
//@ts-ignore
import language from "~/locales/language-product.json";
@Component({
  components: {},
})
export default class FooterComponent extends Vue {
  // async fetch() {
  // 	try {
  // 		const isHomePage = this.$store.state.product.isHomePage || false;
  // 		if (isHomePage) return;
  // 		const proms = [
  // 			// this.$api.setting.getSetting(domain),
  // 			this.$api.payment.userListPayment(),
  // 		];
  // 		const [responsePayment] = await Promise.all(proms);
  // 		this.$store.commit("cart/setPublicKey", responsePayment.data);
  // 		// this.$store.commit("setting/setSiteInfo", response.data);
  // 	} catch (error) {
  // 		this.$router.push("/error");
  // 	}
  // }

  slug = "";

  mounted() {
    this.slug = this.$route?.params?.slug || "";
  }

  get siteInfo() {
    return this.$store.state.setting.siteInfo;
  }

  get convertImage() {
    const siteInfo = this.$store.state.setting.siteInfo;
    if (siteInfo && siteInfo.logo) {
      return `${api}/${siteInfo.logo}`;
    }
  }

  get product() {
    return this.$store.state.product?.product || {};
  }

  get $language() {
    if (this.$store.state.product.language.welcomeTo) {
      return this.$store.state.product.language;
    }
    return language.EN;
  }
  goToTop() {
    window.scrollTo({ top: 0, behavior: "smooth" });
  }
  
isCheckScreenMobile = true

  created(){
    //@ts-ignore
    const screen = this.$vuetify.breakpoint.name
    if(screen !== 'xs' || screen !== 'sm'){
      this.isCheckScreenMobile = false
    }
  }

  @Watch("$vuetify.breakpoint.name")
  changedScreen(value: string) {
    if (value === "xs" || value === "sm") {
      this.isCheckScreenMobile = true;
    } else {
      this.isCheckScreenMobile = false;
    }
  }
}
</script>

<style src="./style.scss" lang="scss" scoped></style>
<style lang="scss">
.location {
  padding-bottom: 0;
  p {
    margin-bottom: 0 !important;
  }
}
</style>
